# module Levenshtein

## Overview

Levensthein distance methods.

## Defined in:

## Class Method Summary

- .distance(string1 : String, string2 : String) : Int32

  Computes the levenshtein distance of two strings.

- .find(name, tolerance = nil, &block)
- .find(name, all_names, tolerance = nil)

## Class Method Detail

def self.distance(string1 : String, string2 : String) : Int32 #

Computes the levenshtein distance of two strings.

    require "levenshtein"

    Levenshtein.distance("algorithm", "altruistic") # => 6
    Levenshtein.distance("hello", "hallo")          # => 1
    Levenshtein.distance("こんにちは", "こんちは")           # => 1
    Levenshtein.distance("hey", "hey")              # => 0

def self.find(name, tolerance = nil, &block) #
def self.find(name, all_names, tolerance = nil) #